Plank.DockTheme.draw_item_progress – plank Reference Manual

# draw_item_progress

## Description:

public void draw_item_progress (Surface surface, int icon_size, Color color, double progress)

Draws a progress bar for an item.

## Parameters:

surface | the surface to draw the progress onto
icon_size | the icon-size of the dock
color | the color of the progress
progress | the value between 0.0 and 1.0